Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h	(revision 146)
@@ -101,4 +101,5 @@
   public : uint32_t             ** _lsu_pht_size_counter                          ;//[nb_load_store_unit][1]
   public : uint32_t             ** _lsu_pht_nb_counter                            ;//[nb_load_store_unit][1]
+  public : Tpht_scheme_t        ** _lsu_pht_scheme                                ;//[nb_load_store_unit][1]
   public : uint32_t              * _nb_bypass_memory                              ;//[nb_load_store_unit]
   public : uint32_t              * _nb_cache_port                                 ;//[nb_load_store_unit]
@@ -140,4 +141,5 @@
   public : uint32_t             ** _dir_pht_nb_counter                            ;//[nb_front_end][3]
   public : uint32_t             ** _dir_pht_size_address_share                    ;//[nb_front_end][3]
+  public : Tpht_scheme_t        ** _dir_pht_scheme                                ;//[nb_front_end][3]
 
   // OOO_Engine
@@ -271,4 +273,8 @@
   public : uint32_t            *** _ooo_engine_size_store_queue                   ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit]
   public : uint32_t            *** _ooo_engine_size_load_queue                    ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit]
+  public : Tpredictor_t        *** _ooo_engine_speculative_commit_predictor_scheme;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit]
+  public : uint32_t           **** _ooo_engine_lsu_pht_size_counter               ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit][1]
+  public : uint32_t           **** _ooo_engine_lsu_pht_nb_counter                 ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit][1]
+  public : Tpht_scheme_t      **** _ooo_engine_lsu_pht_scheme                     ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit][1]
   public : uint32_t            *** _ooo_engine_nb_inst_memory                     ;//[nb_ooo_engine][nb_rename_unit][ooo_engine_nb_load_store_unit]
   public : uint32_t            *** _ooo_engine_link_load_store_unit_with_context  ;//[nb_ooo_engine][ooo_engine_nb_front_end][nb_context]
@@ -300,6 +306,6 @@
                                 ** _execute_loop_speculative_load                          ;//[nb_execute_loop][execute_loop_nb_load_store_unit]
   public : Tpredictor_t         ** _execute_loop_speculative_commit_predictor_scheme       ;//[nb_execute_loop][execute_loop_nb_load_store_unit]
-  public : uint32_t            *** _execute_loop_lsu_pht_size_counter                      ;//[nb_execute_loop][execute_loop_nb_load_store_unit][1]
-  public : uint32_t            *** _execute_loop_lsu_pht_nb_counter                        ;//[nb_execute_loop][execute_loop_nb_load_store_unit][1]
+  /* public : uint32_t            *** _execute_loop_lsu_pht_size_counter                      ;//[nb_execute_loop][execute_loop_nb_load_store_unit][1] */
+  /* public : uint32_t            *** _execute_loop_lsu_pht_nb_counter                        ;//[nb_execute_loop][execute_loop_nb_load_store_unit][1] */
   public : uint32_t             ** _execute_loop_nb_bypass_memory                          ;//[nb_execute_loop][execute_loop_nb_load_store_unit]
   public : uint32_t             ** _execute_loop_nb_cache_port                             ;//[nb_execute_loop][execute_loop_nb_load_store_unit]
@@ -440,4 +446,5 @@
   uint32_t             ** lsu_pht_size_counter                          ,//[nb_load_store_unit][1]
   uint32_t             ** lsu_pht_nb_counter                            ,//[nb_load_store_unit][1]
+  Tpht_scheme_t        ** lsu_pht_scheme                                ,//[nb_load_store_unit][1]
   uint32_t              * nb_bypass_memory                              ,//[nb_load_store_unit]
   uint32_t              * nb_cache_port                                 ,//[nb_load_store_unit]
@@ -479,4 +486,5 @@
   uint32_t             ** dir_pht_nb_counter                            ,//[nb_front_end][3]
   uint32_t             ** dir_pht_size_address_share                    ,//[nb_front_end][3]
+  Tpht_scheme_t        ** dir_pht_scheme                                ,//[nb_front_end][3]
 
   // OOO_Engine
